Skip to main content
`Ctrl`+`K`

# convolve_models

astropy.convolution.convolve_models(model, kernel, mode='convolve_fft', **kwargs)

  Convolve two models using `convolve_fft`.

  Parameters:
    model `Model`

      Functional model

    kernel `Model`

      Convolution kernel

    mode `python:str`

      Keyword representing which function to use for convolution.

      - ‘convolve_fft’ : use `convolve_fft` function.

      - ‘convolve’ : use `convolve`.

    **kwargs `python:dict`

      Keyword arguments to me passed either to `convolve` or `convolve_fft` depending on `mode`.

  Returns:
    default `CompoundModel`

      Convolved model